Package org.apache.commons.io.input

# Class UncheckedFilterReader

java.lang.Object
java.io.Reader
java.io.FilterReader
org.apache.commons.io.input.UncheckedFilterReader

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Readable`

public final class UncheckedFilterReader extends FilterReader
A `FilterReader` that throws `UncheckedIOException` instead of `IOException`.

To build an instance, use `UncheckedFilterReader.Builder`.

Since:
  2.12.0
See Also:
  - `UncheckedFilterReader.Builder`
  - `FilterReader`
  - `IOException`
  - `UncheckedIOException`

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `UncheckedFilterReader.Builder`
  Builds a new `UncheckedFilterReader`.

- ## Field Summary

  ### Fields inherited from class java.io.FilterReader

  `in`

  ### Fields inherited from class java.io.Reader

  `lock`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static UncheckedFilterReader.Builder`
  `builder()`
  Constructs a new `UncheckedFilterReader.Builder`.
  `void`
  `close()`
  Calls this method's super and rethrow `IOException` as `UncheckedIOException`.
  `void`
  `mark(int readAheadLimit)`
  Calls this method's super and rethrow `IOException` as `UncheckedIOException`.
  `int`
  `read()`
  Calls this method's super and rethrow `IOException` as `UncheckedIOException`.
  `int`
  `read(char[] cbuf)`
  Calls this method's super and rethrow `IOException` as `UncheckedIOException`.
  `int`
  `read(char[] cbuf, int off, int len)`
  Calls this method's super and rethrow `IOException` as `UncheckedIOException`.
  `int`
  `read(CharBuffer target)`
  Calls this method's super and rethrow `IOException` as `UncheckedIOException`.
  `boolean`
  `ready()`
  Calls this method's super and rethrow `IOException` as `UncheckedIOException`.
  `void`
  `reset()`
  Calls this method's super and rethrow `IOException` as `UncheckedIOException`.
  `long`
  `skip(long n)`
  Calls this method's super and rethrow `IOException` as `UncheckedIOException`.

  ### Methods inherited from class java.io.FilterReader

  `markSupported`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### builder

    public static UncheckedFilterReader.Builder builder()
    Constructs a new `UncheckedFilterReader.Builder`.
    Returns:
      a new `UncheckedFilterReader.Builder`.

  - ### close

    public void close() throws UncheckedIOException
    Calls this method's super and rethrow `IOException` as `UncheckedIOException`.
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Overrides:
      `close` in class `FilterReader`
    Throws:
      `UncheckedIOException`

  - ### mark

    public void mark(int readAheadLimit) throws UncheckedIOException
    Calls this method's super and rethrow `IOException` as `UncheckedIOException`.
    Overrides:
      `mark` in class `FilterReader`
    Throws:
      `UncheckedIOException`

  - ### read

    public int read() throws UncheckedIOException
    Calls this method's super and rethrow `IOException` as `UncheckedIOException`.
    Overrides:
      `read` in class `FilterReader`
    Throws:
      `UncheckedIOException`

  - ### read

    public int read(char[] cbuf) throws UncheckedIOException
    Calls this method's super and rethrow `IOException` as `UncheckedIOException`.
    Overrides:
      `read` in class `Reader`
    Throws:
      `UncheckedIOException`

  - ### read

    public int read(char[] cbuf, int off, int len) throws UncheckedIOException
    Calls this method's super and rethrow `IOException` as `UncheckedIOException`.
    Overrides:
      `read` in class `FilterReader`
    Throws:
      `UncheckedIOException`

  - ### read

    public int read(CharBuffer target) throws UncheckedIOException
    Calls this method's super and rethrow `IOException` as `UncheckedIOException`.
    Specified by:
      `read` in interface `Readable`
    Overrides:
      `read` in class `Reader`
    Throws:
      `UncheckedIOException`

  - ### ready

    public boolean ready() throws UncheckedIOException
    Calls this method's super and rethrow `IOException` as `UncheckedIOException`.
    Overrides:
      `ready` in class `FilterReader`
    Throws:
      `UncheckedIOException`

  - ### reset

    public void reset() throws UncheckedIOException
    Calls this method's super and rethrow `IOException` as `UncheckedIOException`.
    Overrides:
      `reset` in class `FilterReader`
    Throws:
      `UncheckedIOException`

  - ### skip

    public long skip(long n) throws UncheckedIOException
    Calls this method's super and rethrow `IOException` as `UncheckedIOException`.
    Overrides:
      `skip` in class `FilterReader`
    Throws:
      `UncheckedIOException`